curl --request GET \
--url https://solana-gateway.moralis.io/token/{network}/pairs/{pairAddress}/stats \
--header 'X-Api-Key: <api-key>'import requests
url = "https://solana-gateway.moralis.io/token/{network}/pairs/{pairAddress}/stats"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://solana-gateway.moralis.io/token/{network}/pairs/{pairAddress}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokenAddress": "<string>",
"tokenName": "<string>",
"tokenSymbol": "<string>",
"tokenLogo": "<string>",
"pairCreated": "<string>",
"pairLabel": "<string>",
"pairAddress": "<string>",
"exchange": "<string>",
"exchangeAddress": "<string>",
"exchangeLogo": "<string>",
"exchangeUrl": "<string>",
"currentUsdPrice": "<string>",
"currentNativePrice": "<string>",
"totalLiquidityUsd": "<string>",
"pricePercentChange": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
},
"liquidityPercentChange": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
},
"buys": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
},
"sells": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
},
"totalVolume": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
},
"buyVolume": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
},
"sellVolume": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
},
"buyers": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
},
"sellers": {
"5min": 123,
"1h": 123,
"4h": 123,
"24h": 123
}
}Pair Stats
Gets the stats for a specific pair address
Authorizations
Path Parameters
The network to query
mainnet, devnet The address of the pair to query
"Czfq3xZZDmsdGdUyrNLtRhGc47cXcZtLG4crryfu44zE"
Response
The token address
The token name
The token symbol
The token logo
The timestamp when pair is created
The pair label
The pair address
The exchange name
The exchange address
The exchange logo
The exchange url
The current usd price of the token
The current native price of the token
The total liquidity of the pair in USD
The price percent change stats
Show child attributes
Show child attributes
The liquidity change stats
Show child attributes
Show child attributes
The total buys stats
Show child attributes
Show child attributes
The total sells stats
Show child attributes
Show child attributes
The total volume stats
Show child attributes
Show child attributes
The total buy volume stats
Show child attributes
Show child attributes
The total sell volume stats
Show child attributes
Show child attributes
The total unique buyers stats
Show child attributes
Show child attributes
The total unique sellers stats
Show child attributes
Show child attributes

